All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sas.prompts.definitions
Class DoubleRangeDefinition

    com.sas.prompts.definitions.DoubleRangeDefinition

All Implemented Interfaces:
  com.sas.models.VersionInterface, com.sas.prompts.definitions.BaseDefinitionRangeInterface, com.sas.prompts.definitions.DoubleRangeDefinitionInterface, com.sas.prompts.definitions.HintableDefinitionInterface, com.sas.prompts.definitions.HintableDefinitionV2Interface, com.sas.prompts.definitions.MutableBaseDefinitionRangeInterface, com.sas.prompts.definitions.MutableDoubleRangeDefinitionInterface, com.sas.prompts.definitions.MutableHintableDefinitionInterface, com.sas.prompts.definitions.MutableHintableDefinitionV2Interface, com.sas.prompts.definitions.MutablePromptDefinitionInterface, com.sas.prompts.definitions.MutablePromptDefinitionV2Interface, com.sas.prompts.definitions.MutablePromptDefinitionV3Interface, MutableRequiredDefinitionInterface, PromptDefinitionInterface, com.sas.prompts.definitions.PromptDefinitionV2Interface, com.sas.prompts.definitions.PromptDefinitionV3Interface, com.sas.prompts.IdentifiablePromptInterface, com.sas.prompts.MutableIdentifiablePromptInterface, com.sas.prompts.MutablePromptHelpInterface, com.sas.prompts.PromptHelpInterface, com.sas.PublicClonable, com.sas.storage.editableproperties.LocalizableProperties, com.sas.storage.editableproperties.MultiLocaleProperties, com.sas.uiconfig.ContextEnabledObject, com.sas.util.AttributeConfigurationInterface, com.sas.util.AttributeDescription, com.sas.util.log.ComponentLogFactoryInterface, com.sas.util.macrovar.MacroVariableDecimalValueOptionInterface, com.sas.util.macrovar.MacroVariableOptionInterface, com.sas.util.macrovar.MutableMacroVariableOptionInterface, com.sas.util.ResourceReferencesInterface, com.sas.util.xmlpersist.PersistenceInterface, java.io.Externalizable, java.io.Serializable, java.lang.Cloneable

    public class DoubleRangeDefinition

implements com.sas.prompts.definitions.MutableDoubleRangeDefinitionInterface, com.sas.util.macrovar.MacroVariableDecimalValueOptionInterface

DoubleRangeDefinition is a prompt type which allows the specification of a range of double values by specifying minimum and maximum values for the range.

See Also:
  Serialized Form

Field Summary
`static java.lang.String` | `RB_KEY`

Fields inherited from interface com.sas.prompts.definitions.PromptDefinitionInterface
`PROMPT_VALIDATION_ERROR_ABOVE_MAXIMUM, PROMPT_VALIDATION_ERROR_ABOVE_MAXIMUM_DECIMAL_PLACES, PROMPT_VALIDATION_ERROR_ABOVE_MAXIMUM_LENGTH, PROMPT_VALIDATION_ERROR_ABOVE_MAXIMUM_LINES, PROMPT_VALIDATION_ERROR_ABOVE_MAXIMUM_VALUE_COUNT, PROMPT_VALIDATION_ERROR_BELOW_MINIMUM, PROMPT_VALIDATION_ERROR_BELOW_MINIMUM_LENGTH, PROMPT_VALIDATION_ERROR_BELOW_MINIMUM_VALUE_COUNT, PROMPT_VALIDATION_ERROR_DATA_SOURCE_COLUMN_TYPE_NOT_ALLOWED, PROMPT_VALIDATION_ERROR_DATA_SOURCE_CONTAINS_NO_DATA_ITEMS, PROMPT_VALIDATION_ERROR_DATA_SOURCE_NOT_AVAILABLE, PROMPT_VALIDATION_ERROR_DATA_SOURCE_TYPE_NOT_ALLOWED, PROMPT_VALIDATION_ERROR_EMPTY_STATIC_LIST_AND_REQUIRED_WITH_NO_ADDITIONAL_VALUES_ALLOWED, PROMPT_VALIDATION_ERROR_ERROR_LOADING_SHARED_PROMPT, PROMPT_VALIDATION_ERROR_FILE_TYPE_NOT_ALLOWED, PROMPT_VALIDATION_ERROR_FROM_SCRIPT, PROMPT_VALIDATION_ERROR_INCORRECT_RELATIVE_DATE_VALUE, PROMPT_VALIDATION_ERROR_INPUT_DOES_NOT_MATCH_PATTERN, PROMPT_VALIDATION_ERROR_INVALID_INPUT_PATTERN, PROMPT_VALIDATION_ERROR_LOWER_RANGE_VALUE_ABOVE_MAXIMUM, PROMPT_VALIDATION_ERROR_LOWER_RANGE_VALUE_ABOVE_MAXIMUM_LENGTH, PROMPT_VALIDATION_ERROR_LOWER_RANGE_VALUE_ABOVE_UPPER_RANGE_VALUE, PROMPT_VALIDATION_ERROR_LOWER_RANGE_VALUE_BELOW_MINIMUM, PROMPT_VALIDATION_ERROR_LOWER_RANGE_VALUE_BELOW_MINIMUM_LENGTH, PROMPT_VALIDATION_ERROR_MASKED_HIDDEN_REQUIRED, PROMPT_VALIDATION_ERROR_MAX_DECIMAL_PLACES_ABOVE_MAX_PERCISION, PROMPT_VALIDATION_ERROR_MAXIMUM_LENGTH_BELOW_ZERO, PROMPT_VALIDATION_ERROR_MIN_DECIMAL_PLACES_ABOVE_MAX_PERCISION, PROMPT_VALIDATION_ERROR_MINIMUM_ABOVE_MAXIMUM, PROMPT_VALIDATION_ERROR_MINIMUM_ABOVE_MAXIMUM_DECIMAL_PLACES, PROMPT_VALIDATION_ERROR_MINIMUM_ABOVE_MAXIMUM_LENGTH, PROMPT_VALIDATION_ERROR_MINIMUM_ABOVE_MAXIMUM_VALUE_COUNT, PROMPT_VALIDATION_ERROR_MINIMUM_LENGTH_ABOVE_MAXIMUM_LENGTH, PROMPT_VALIDATION_ERROR_MINIMUM_LENGTH_BELOW_ZERO, PROMPT_VALIDATION_ERROR_MORE_THAN_ONE_SPECIAL_VALUE_SPECIFIED, PROMPT_VALIDATION_ERROR_MULTIPLE_DATA_SOURCES_NOT_ALLOWED, PROMPT_VALIDATION_ERROR_NO_DATA_SOURCE, PROMPT_VALIDATION_ERROR_NON_EDITABLE_REQUIRED_WITH_NO_DEFAULT_NOT_ALLOWED, PROMPT_VALIDATION_ERROR_NOT_VALID_OBJECT, PROMPT_VALIDATION_ERROR_ONLY_DIRECTORIES_ALLOWED, PROMPT_VALIDATION_ERROR_ONLY_FILES_ALLOWED, PROMPT_VALIDATION_ERROR_PERIOD_ENDS_200_YEARS_AHEAD, PROMPT_VALIDATION_ERROR_PERIOD_STARTS_200_YEARS_AGO, PROMPT_VALIDATION_ERROR_SPECIAL_VALUE_MIXED_WITH_OTHER_VALUES, PROMPT_VALIDATION_ERROR_STATIC_VALUE_INVALID, PROMPT_VALIDATION_ERROR_UPPER_RANGE_VALUE_ABOVE_MAXIMUM, PROMPT_VALIDATION_ERROR_UPPER_RANGE_VALUE_ABOVE_MAXIMUM_LENGTH, PROMPT_VALIDATION_ERROR_UPPER_RANGE_VALUE_BELOW_MINIMUM, PROMPT_VALIDATION_ERROR_UPPER_RANGE_VALUE_BELOW_MINIMUM_LENGTH, PROMPT_VALIDATION_NO_ERRORS`

Constructor Summary
`DoubleRangeDefinition()` Constructor
`DoubleRangeDefinition(java.lang.String promptName)` Constructor

Method Summary
`void` | `configureAttributes(java.util.Map options, java.util.Map context)`
`java.util.List` | `getAttributeDescriptors(java.util.Locale locale)`
`protected java.util.Map<java.lang.String,java.lang.String>` | `getConstraints(java.util.Locale locale)`
`protected java.lang.String` | `getDefaultMaxLabel(java.util.Locale locale)` Returns the default label for the maximum field when one is not set by the user.
`protected java.lang.String` | `getDefaultMinLabel(java.util.Locale locale)` Returns the default label for the minimum field when one is not set by the user.
`double` | `getMaximum()` Returns the maximum allowed value for the prompt.
`int` | `getMaximumDecimalPlaces()` Returns the maximum number of decimal places the user can enter for the prompt value
`double` | `getMinimum()` Returns the minimum allowed value for the prompt.
`int` | `getMinimumDecimalPlaces()` Returns the minimum number of decimal places presented to he user when the value of the prompt is displayed.
`com.sas.datatypes.DataTypeInterface` | `getPromptDataType()` Returns an instance of com.sas.datatypes.DoubleRangeType that can be used to process values for this prompt.
`java.util.Collection<ValidationEntry>` | `getPromptValueValidationErrors(java.lang.Object value, java.util.Locale locale)` Returns a Collection containing the set of `ValidationEntry` objects or an empty collection if no errors were found.
`boolean` | `isPromptValueValid(java.lang.Object value, java.util.Locale locale)` Returns whether the specified value meets the constraints on the prompt definition.
`void` | `setMaximum(double maximum)` Sets the maximum allowed value for the prompt.
`void` | `setMaximumDecimalPlaces(int maxDecimalPlaces)` Sets the maximum number of decimal places the user can enter for the prompt value
`void` | `setMinimum(double minimum)` Sets the minimum allowed value for the prompt.
`void` | `setMinimumDecimalPlaces(int minDecimalPlaces)` Sets the minimum number of decimal places presented to he user when the value of the prompt is displayed.
`java.util.Collection<ValidationEntry>` | `validateDefinition(java.util.Locale locale)` This method is used to validate that the various attributes of the definition all contain valid values.

Methods inherited from class com.sas.prompts.definitions.BaseDefinitionRange
`getMaxLabel, getMaxLabels, getMinLabel, getMinLabels, isRequired, populateErrorsForMinMax, populateMapWithErrorsForValue, setMaxLabel, setMaxLabels, setMinLabel, setMinLabels, setRequired`

Methods inherited from class com.sas.prompts.definitions.PromptDefinition
`addUserInfo, clearDefaultValue, getApplicationContext, getCustomErrorMessage, getCustomErrorMessages, getDefaultValue, getDependentPromptsForAttributes, getHint, getHintPlacement, getHints, getInlineHint, getInlineHints, getLabelPlacement, getLocalizableProperties, getMutableUserInfo, getPromptDescription, getPromptDescriptions, getPromptHelp, getPromptID, getPromptLabel, getPromptLabels, getPromptName, getScript, getScripts, getUIConfiguration, getUserInfo, getUserInfoAsText, getVersion, isDefaultValueSet, isDisplayDefaultValueAsBlank, isFixed, isHidden, isPromptValueValid, isValueClearedForNonSelectedModalChoiceGroup, removeScript, removeUserInfo, setAdditionalCascadeDependencies, setApplicationContext, setCustomErrorMessage, setCustomErrorMessages, setDefaultValue, setDependentPromptsForAttributes, setDisplayDefaultValueAsBlank, setFixed, setHidden, setHint, setHintPlacement, setHints, setInlineHint, setInlineHints, setLabelPlacement, setLocalizableProperties, setPromptDescription, setPromptDescriptions, setPromptHelp, setPromptLabel, setPromptLabels, setPromptName, setScript, setUIConfiguration, setUserInfo, setValueClearedForNonSelectedModalChoiceGroup, toString`

Methods inherited from interface com.sas.prompts.definitions.PromptDefinitionInterface
`clearDefaultValue, getDefaultValue, getPromptDescription, getPromptDescriptions, getPromptLabel, getPromptLabels, getPromptName, getUserInfo, isDefaultValueSet, isFixed, isHidden, isPromptValueValid`

Methods inherited from interface com.sas.prompts.definitions.MutableRequiredDefinitionInterface
`setRequired`

Field Detail

### RB_KEY

    public static final java.lang.String RB_KEY

See Also:
  Constant Field Values

Constructor Detail

### DoubleRangeDefinition

    public DoubleRangeDefinition()

  Constructor

### DoubleRangeDefinition

    public DoubleRangeDefinition(java.lang.String promptName)

  Constructor

Method Detail

### getDefaultMaxLabel

    protected java.lang.String getDefaultMaxLabel(java.util.Locale locale)

  Returns the default label for the maximum field when one is not set by the user.

  Overrides:
    `getDefaultMaxLabel` in class `BaseDefinitionRange`
  Parameters:
    `locale` - The locale the retrieve the label for
  Returns:
    the default label for the maximum field when one is not set by the user.

### getDefaultMinLabel

    protected java.lang.String getDefaultMinLabel(java.util.Locale locale)

  Returns the default label for the minimum field when one is not set by the user.

  Overrides:
    `getDefaultMinLabel` in class `BaseDefinitionRange`
  Parameters:
    `locale` - The locale the retrieve the label for
  Returns:
    the default label for the minimum field when one is not set by the user.

### getMinimum

    public double getMinimum()

  Returns the minimum allowed value for the prompt.

  Specified by:
    `getMinimum` in interface `com.sas.prompts.definitions.DoubleRangeDefinitionInterface`
  Returns:
    the minimum allowed value for the prompt.

### setMinimum

    public void setMinimum(double minimum)

  Sets the minimum allowed value for the prompt.

  Specified by:
    `setMinimum` in interface `com.sas.prompts.definitions.MutableDoubleRangeDefinitionInterface`
  Parameters:
    `minimum` - the minimum allowed value for the prompt.

### getMaximum

    public double getMaximum()

  Returns the maximum allowed value for the prompt.

  Specified by:
    `getMaximum` in interface `com.sas.prompts.definitions.DoubleRangeDefinitionInterface`
  Returns:
    the maximum allowed value for the prompt.

### setMaximum

    public void setMaximum(double maximum)

  Sets the maximum allowed value for the prompt.

  Specified by:
    `setMaximum` in interface `com.sas.prompts.definitions.MutableDoubleRangeDefinitionInterface`
  Parameters:
    `maximum` - the minimum allowed value for the prompt.

### setMinimumDecimalPlaces

    public void setMinimumDecimalPlaces(int minDecimalPlaces)

  Sets the minimum number of decimal places presented to he user when the value of the prompt is displayed.

  Specified by:
    `setMinimumDecimalPlaces` in interface `com.sas.prompts.definitions.MutableDoubleRangeDefinitionInterface`
  Parameters:
    `minimumDecimalPlaces` - the minimum number of decimal places presented to he user

### setMaximumDecimalPlaces

    public void setMaximumDecimalPlaces(int maxDecimalPlaces)

  Sets the maximum number of decimal places the user can enter for the prompt value. -1 indicates that any number of decimal places is allowed.

  Specified by:
    `setMaximumDecimalPlaces` in interface `com.sas.prompts.definitions.MutableDoubleRangeDefinitionInterface`
  Parameters:
    `maximumDecimalPlaces` - the maximum number of decimal places the user can enter

### getMinimumDecimalPlaces

    public int getMinimumDecimalPlaces()

  Returns the minimum number of decimal places presented to he user when the value of the prompt is displayed.

  Specified by:
    `getMinimumDecimalPlaces` in interface `com.sas.prompts.definitions.DoubleRangeDefinitionInterface`
  Specified by:
    `getMinimumDecimalPlaces` in interface `com.sas.util.macrovar.MacroVariableDecimalValueOptionInterface`
  Returns:
    the minimum number of decimal places presented to he user

### getMaximumDecimalPlaces

    public int getMaximumDecimalPlaces()

  Returns the maximum number of decimal places the user can enter for the prompt value. -1 indicates that any number of decimal places is allowed.

  Specified by:
    `getMaximumDecimalPlaces` in interface `com.sas.prompts.definitions.DoubleRangeDefinitionInterface`
  Returns:
    the maximum number of decimal places the user can enter

### isPromptValueValid

    public boolean isPromptValueValid(java.lang.Object value,
                                      java.util.Locale locale)

  Returns whether the specified value meets the constraints on the prompt definition.

  Specified by:
    `isPromptValueValid` in interface `com.sas.prompts.definitions.PromptDefinitionV2Interface`
  Overrides:
    `isPromptValueValid` in class `PromptDefinition`
  Parameters:
    `value` - The value to check for validity.
  Returns:
    boolean true if the value is valid, false otherwise
  See Also:
    `PromptDefinitionInterface.isPromptValueValid(Object)`

### getPromptValueValidationErrors

    public java.util.Collection<ValidationEntry> getPromptValueValidationErrors(java.lang.Object value,
                                                                                java.util.Locale locale)

  Returns a Collection containing the set of `ValidationEntry` objects or an empty collection if no errors were found.

  Specified by:
    `getPromptValueValidationErrors` in interface `PromptDefinitionInterface`
  Overrides:
    `getPromptValueValidationErrors` in class `PromptDefinition`
  Parameters:
    `value` - The value to check for errors
    `locale` - The locale to return the error messages in
  Returns:
    A Collection containing the set of `ValidationEntry` objects or an empty collection if no errors were found.
  See Also:
    `PromptDefinitionInterface.getPromptValueValidationErrors(Object, Locale)`

### validateDefinition

    public java.util.Collection<ValidationEntry> validateDefinition(java.util.Locale locale)

  This method is used to validate that the various attributes of the definition all contain valid values. If the definition is valid, and empty collection will be returned, otherwise the collection with contain `ValidationEntry` objects for each error. This method should be called before the definition is to be used. Subclasses should override this method to return the appropriate validation errors.

  Specified by:
    `validateDefinition` in interface `PromptDefinitionInterface`
  Overrides:
    `validateDefinition` in class `PromptDefinition`
  Parameters:
    `locale` - The locale to return the error messages in
  Returns:
    A Collection containing the set of `ValidationEntry` objects or an empty collection if no errors were found.
  See Also:
    `PromptDefinitionInterface.validateDefinition(Locale)`

### getPromptDataType

    public com.sas.datatypes.DataTypeInterface getPromptDataType()

  Returns an instance of com.sas.datatypes.DoubleRangeType that can be used to process values for this prompt.

  Specified by:
    `getPromptDataType` in interface `PromptDefinitionInterface`
  Specified by:
    `getPromptDataType` in class `PromptDefinition`
  Returns:
    an instance of com.sas.datatypes.DoubleRangeType
  See Also:
    `PromptDefinitionInterface.getPromptDataType()`

### getAttributeDescriptors

    public java.util.List getAttributeDescriptors(java.util.Locale locale)

  Specified by:
    `getAttributeDescriptors` in interface `com.sas.util.AttributeDescription`
  Overrides:
    `getAttributeDescriptors` in class `BaseDefinitionRange`

### configureAttributes

    public void configureAttributes(java.util.Map options,
                                    java.util.Map context)

  Specified by:
    `configureAttributes` in interface `com.sas.util.AttributeConfigurationInterface`
  Overrides:
    `configureAttributes` in class `BaseDefinitionRange`

### getConstraints

    protected java.util.Map<java.lang.String,java.lang.String> getConstraints(java.util.Locale locale)

  Overrides:
    `getConstraints` in class `PromptDefinition`

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.